<?php

namespace Drupal\face_recognition;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * FaceRecognition plugin manager.
 */
class FaceRecognitionPluginManager extends DefaultPluginManager {

  /**
   * Constructs FaceRecognitionPluginManager object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/FaceRecognition',
      $namespaces,
      $module_handler,
      'Drupal\face_recognition\FaceRecognitionInterface',
      'Drupal\face_recognition\Annotation\FaceRecognition'
    );
    $this->alterInfo('face_recognition_info');
    $this->setCacheBackend($cache_backend, 'face_recognition_plugins');
  }

}
